summaryrefslogtreecommitdiff
path: root/tests/rwx-to-mode
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rwx-to-mode')
-rwxr-xr-xtests/rwx-to-mode2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/rwx-to-mode b/tests/rwx-to-mode
index 95a512167..7c6002e35 100755
--- a/tests/rwx-to-mode
+++ b/tests/rwx-to-mode
@@ -14,7 +14,7 @@ esac
case $rwx in
[ld-][rwx-][rwx-][rwxs-][rwx-][rwx-][rwxs-][rwx-][rwx-][rwxt-]) ;;
- *) echo "$0: invalid mode string: $rwx";;
+ *) echo "$0: invalid mode string: $rwx" 1>&2; exit 1;;
esac
u=`echo $rwx|sed 's/^.\(...\).*/,u=\1/;s/-//g;s/^,u=$//'`